Angular PolarChart - animation
Specifies animation options.
The widget animates its elements at the beginning of its lifetime and when the data source changes.
jQuery
$(function() {
    $("#polarChartContainer").dxPolarChart({
        // ...
        animation: {
            easing: "linear",
            duration: 500,
            maxPointCountSupported: 100
        }
    });
});Angular
<dx-polar-chart ... >
    <dxo-animation
        easing="linear"
        [duration]="500"
        [maxPointCountSupported]="100">
    </dxo-animation>
</dx-polar-chart>
import { Component } from '@angular/core';
@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    // ...
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { DxPolarChartModule } from 'devextreme-angular';
@NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        BrowserModule,
        DxPolarChartModule
    ],
    providers: [ ],
    bootstrap: [AppComponent]
})
export class AppModule { }Vue
<template>
    <DxPolarChart ... >
        <DxAnimation
            easing="linear"
            :duration="500"
            :max-point-count-supported="100"
        />
    </DxPolarChart>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import DxPolarChart, {
    DxAnimation
} from 'devextreme-vue/polar-chart';
export default {
    components: {
        DxPolarChart,
        DxAnimation
    },
    // ...
}
</script>React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import PolarChart, {
    Animation 
} from 'devextreme-react/polar-chart';
class App extends React.Component {
    render() {
        return (
            <PolarChart ... >
                <Animation
                    easing="linear"
                    duration={500}
                    maxPointCountSupported={100}
                />
            </PolarChart>
        );
    }
}
export default App;easing
Specifies the easing function of the animation.
Easing functions specify how the speed of the animation changes over time. The following easing functions are available.
- easeOutCubic
The animation starts fast and slows down gradually towards the end. - linear
The animation progresses at a constant pace. 
Use the VizAnimationEasing enum to specify this option when the widget is used as an ASP.NET MVC 5 Control or a DevExtreme-Based ASP.NET Core Control. This enum accepts the following values: EaseOutCubic and Linear.
maxPointCountSupported
Specifies how many series points the widget should have before the animation will be disabled.
If the number of series points in your chart increases over time, animating them may affect widget performance. In this case, use the maxPointCountSupported option to specify a limit for the number of points. When this limit is exceeded, the animation will be disabled.
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue PolarChart - animation

Specifies animation options.

Type:

Object

|

Boolean

The widget animates its elements at the beginning of its lifetime and when the data source changes.

App.vue
  • <template>
  • <DxPolarChart ... >
  • <DxAnimation
  • easing="linear"
  • :duration="500"
  • :max-point-count-supported="100"
  • />
  • </DxPolarChart>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DxPolarChart, {
  • DxAnimation
  • } from 'devextreme-vue/polar-chart';
  •  
  • export default {
  • components: {
  • DxPolarChart,
  • DxAnimation
  • },
  • // ...
  • }
  • </script>

duration

Specifies how long the animation runs in milliseconds.

Type:

Number

Default Value: 1000

easing

Specifies the easing function of the animation.

Type:

String

Default Value: 'easeOutCubic'
Accepted Values: 'easeOutCubic' | 'linear'

Easing functions specify how the speed of the animation changes over time. The following easing functions are available.

  • easeOutCubic
    The animation starts fast and slows down gradually towards the end.
  • linear
    The animation progresses at a constant pace.

Use the VizAnimationEasing enum to specify this option when the widget is used as an ASP.NET MVC 5 Control or a DevExtreme-Based ASP.NET Core Control. This enum accepts the following values: EaseOutCubic and Linear.

enabled

Enables the animation in the widget.

Type:

Boolean

Default Value: true

maxPointCountSupported

Specifies how many series points the widget should have before the animation will be disabled.

Type:

Number

Default Value: 300

If the number of series points in your chart increases over time, animating them may affect widget performance. In this case, use the maxPointCountSupported option to specify a limit for the number of points. When this limit is exceeded, the animation will be disabled.

React PolarChart - animation

Specifies animation options.

Type:

Object

|

Boolean

The widget animates its elements at the beginning of its lifetime and when the data source changes.

App.js
  • import React from 'react';
  •  
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import PolarChart, {
  • Animation
  • } from 'devextreme-react/polar-chart';
  •  
  • class App extends React.Component {
  • render() {
  • return (
  • <PolarChart ... >
  • <Animation
  • easing="linear"
  • duration={500}
  • maxPointCountSupported={100}
  • />
  • </PolarChart>
  • );
  • }
  • }
  • export default App;

duration

Specifies how long the animation runs in milliseconds.

Type:

Number

Default Value: 1000

easing

Specifies the easing function of the animation.

Type:

String

Default Value: 'easeOutCubic'
Accepted Values: 'easeOutCubic' | 'linear'

Easing functions specify how the speed of the animation changes over time. The following easing functions are available.

  • easeOutCubic
    The animation starts fast and slows down gradually towards the end.
  • linear
    The animation progresses at a constant pace.

Use the VizAnimationEasing enum to specify this option when the widget is used as an ASP.NET MVC 5 Control or a DevExtreme-Based ASP.NET Core Control. This enum accepts the following values: EaseOutCubic and Linear.

enabled

Enables the animation in the widget.

Type:

Boolean

Default Value: true

maxPointCountSupported

Specifies how many series points the widget should have before the animation will be disabled.

Type:

Number

Default Value: 300

If the number of series points in your chart increases over time, animating them may affect widget performance. In this case, use the maxPointCountSupported option to specify a limit for the number of points. When this limit is exceeded, the animation will be disabled.